//
//  Translator.swift
//  InitializerDemo
//
//  Created by Kevin McNeish on 9/29/14.
//  Copyright (c) 2014 Oak Leaf Enterprises, Inc. All rights reserved.
//

import Foundation

enum Language {
    case Arabic, Bengali, English, Hindi,
        Japanese, Chinese, Portuguese, Spanish
}

class Translator {
    
    var fromLanguage: Language
    var toLanguage: Language
    
    init(from: Language, to: Language)
    {
        self.fromLanguage = from
        self.toLanguage = to
    }
    
    convenience init(toLanguage: Language)
    {
        self.init(from: Language.English,
            to: toLanguage)
    }
}